# `cup` - CamelUp probability calculator

This tool calculates probable outcomes for the board game CamelUp. It can
calculate all possible outcomes for a single game leg in about 5ms, so
effectively instantaneously. Full-game calculations take a little bit longer
and are not exact (since it isn't practical to simulate all possible full
game states.) However it can easily simulate a million random games in about
80ms in the worst case, which should provide estimates accurate to within
about 0.2%. (Numbers from running on a Ryzen 3700X.)

```
Usage: 
  cup [-i] SPACE:STACK [...SPACE:STACK] [DICE]

SPACE refers to a numbered board space (1-16).
STACK refers to a stack of camel colors from bottom to top, e.g. 
      YBR (Yellow, Blue, Red, with Red on top).
DICE refers to the set of dice that have already been rolled,
     e.g. GPR (Green, Purple, Red)

Options:
  -i      Interactive mode (currently unimplemented)
  -h      Show this message and exit
```